org.richfaces.renderkit.html

## Class ExtDraggableRendererContributor

- java.lang.Object
- - org.richfaces.renderkit.html.ExtDraggableRendererContributor

- All Implemented Interfaces:
    org.richfaces.renderkit.RendererContributor, org.richfaces.renderkit.ScriptOptionsContributor

      public class ExtDraggableRendererContributor
      extends java.lang.Object
      implements org.richfaces.renderkit.RendererContributor

  Renderer contributor for drag support based on `DraggableRendererContributor`. Used only with `UIExtendedDataTable` component. All functionality from wrapped `DraggableRendererContributor` are available and special method `buildOptions(FacesContext, UIComponent, String, String)` is added.
  Author:
    pawelgo

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.richfaces.renderkit.ScriptOptions` | `buildOptions(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `org.richfaces.renderkit.ScriptOptions` | `buildOptions(javax.faces.context.FacesContext context, javax.faces.component.UIComponent column, java.lang.String dragSourceScriptId, java.lang.String indicatorId)` Builds options for DnD.ExtSimpleDraggable JavaScript object.
    `void` | `decode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, org.richfaces.renderkit.CompositeRenderer compositeRenderer)`
    `java.lang.Class<?>` | `getAcceptableClass()`
    `static ExtDraggableRendererContributor` | `getInstance()`
    `java.lang.String` | `getScriptContribution(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `java.lang.String[]` | `getScriptDependencies()`
    `java.lang.String[]` | `getStyleDependencies()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static ExtDraggableRendererContributor getInstance()

    - #### decode

          public void decode(javax.faces.context.FacesContext context,
                    javax.faces.component.UIComponent component,
                    org.richfaces.renderkit.CompositeRenderer compositeRenderer)

      Specified by:
        `decode` in interface `org.richfaces.renderkit.RendererContributor`

    - #### getAcceptableClass

          public java.lang.Class<?> getAcceptableClass()

      Specified by:
        `getAcceptableClass` in interface `org.richfaces.renderkit.RendererContributor`

    - #### getScriptContribution

          public java.lang.String getScriptContribution(javax.faces.context.FacesContext context,
                                               javax.faces.component.UIComponent component)

      Specified by:
        `getScriptContribution` in interface `org.richfaces.renderkit.RendererContributor`

    - #### getScriptDependencies

          public java.lang.String[] getScriptDependencies()

      Specified by:
        `getScriptDependencies` in interface `org.richfaces.renderkit.RendererContributor`

    - #### getStyleDependencies

          public java.lang.String[] getStyleDependencies()

      Specified by:
        `getStyleDependencies` in interface `org.richfaces.renderkit.RendererContributor`

    - #### buildOptions

          public org.richfaces.renderkit.ScriptOptions buildOptions(javax.faces.context.FacesContext context,
                                                           javax.faces.component.UIComponent component)

      Specified by:
        `buildOptions` in interface `org.richfaces.renderkit.ScriptOptionsContributor`

    - #### buildOptions

          public org.richfaces.renderkit.ScriptOptions buildOptions(javax.faces.context.FacesContext context,
                                                           javax.faces.component.UIComponent column,
                                                           java.lang.String dragSourceScriptId,
                                                           java.lang.String indicatorId)

      Builds options for DnD.ExtSimpleDraggable JavaScript object. These options are specialized for drag source used to start changing table columns order event.
      Parameters:
        `context` - faces context
        `column` - table column
        `dragSourceScriptId` - drag source HTML element id
        `indicatorId` - drag indicator id
      Returns:
        all options needed for drag JavaScript object to work

Copyright © 2013. All Rights Reserved.